<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-server</artifactId>
        <version>3.6.3</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>

    <artifactId>cloud-Saas-Service</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        <!--  SpringCloud Alibaba Nacos Config   -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        <!--   SpringCloud Alibaba Sentinel   -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>
        <!--   SpringBoot Actuator   -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <!--   Mysql Connector   -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>
        <!--   MuYu Common DataSource   -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datasource</artifactId>
        </dependency>
        <!--   MuYu Common DataScope   -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datascope</artifactId>
        </dependency>
        <!--   MuYu Common Log   -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-api-doc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper</artifactId>
            <version>6.0.0</version>
        </dependency>
    </dependencies>
    <build>
        <finalName>clod-Saas-Service</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!--              &lt;!&ndash; 加入maven deploy插件，当在deploy时，忽略些model&ndash;&gt;  -->
            <!--              <plugin>  -->
            <!--                  <groupId>org.apache.maven.plugins</groupId>  -->
            <!--                  <artifactId>maven-deploy-plugin</artifactId>  -->
            <!--                  <version>3.1.1</version>  -->
            <!--                  <configuration>  -->
            <!--                      <skip>true</skip>  -->
            <!--                  </configuration>  -->
            <!--              </plugin>  -->
        </plugins>
    </build>
</project>
